(function() {
    tinymce.PluginManager.add( 'add_quotes', function( editor, url ) {

        editor.addButton('open_quote', {
            title: 'Открывающая кавычка',
            cmd: 'open_quote',
            text: ' « '
        });
        editor.addCommand('open_quote', function() {
            editor.execCommand('mceReplaceContent', false, "«");
            return;
        });

        editor.addButton('close_quote', {
            title: 'Закрывающая кавычка',
            cmd: 'close_quote',
            text: ' » '
        });
        editor.addCommand('close_quote', function() {
            editor.execCommand('mceReplaceContent', false, "»");
            return;
        });

    });
})();